#Read data file from working directory
library("readxl")
library(summarytools)
library(MASS)
library(tidyverse)
library(caret)
library(car)
library(VGAM)
library(brant)
require(Hmisc)
require(reshape2)
require(foreign)
getwd()

# read raw data -> xls files ###
my_data <- read_excel("raw_data.xlsx")


## cleanse data ### 
## Education ##
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Education[i] == "Associate degree") {
    my_data$Education[i] <- "Associates Degree"
  } else if (my_data$Education[i] == "Associates Degree") 
    {my_data$Education[i] <- "Associates Degree"
  } else if (my_data$Education[i] == "Associates degree") {
    my_data$Education[i] <- "Associates Degree"
  }else if (my_data$Education[i] == "Associate Degree") {
    my_data$Education[i] <- "Associates Degree"
  }
} 

##Agecluster##
my_data$Agecluster<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Age[i] == "18-25") {
    my_data$Agecluster[i] <- "18-25"
  } else if (my_data$Age[i] == "26-35") 
  {my_data$Agecluster[i] <- "26-35"
  } else if (my_data$Age[i] == "36-45") {
    my_data$Agecluster[i] <- "36-45"
  }else if (my_data$Age[i] == "46-55") {
    my_data$Agecluster[i] <- "46-65"
  }else if (my_data$Age[i] == "56-65") {
    my_data$Agecluster[i] <- "46-65"
  }
} 

  ## involvement in software ##
# sum 2-5 and 3-5 years together
  
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$involvement_software[i] == "2-5 years") {
     my_data$involvement_software[i] <- "2-5 years"
  } else if (my_data$involvement_software[i] == "3-5 years") 
  {my_data$involvement_software[i] <- "2-5 years"
 }
}

## Transform likert scale in numbers ###
## Eye contact
my_data$eye<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Eye_contact[i] == "Never") {
    my_data$eye[i] <- -2
  } else if (my_data$Eye_contact[i] == "Rarely") {
    my_data$eye[i] <- -1
  } else if (my_data$Eye_contact[i] == "Sometimes") {
    my_data$eye[i] <- 0
  } else if (my_data$Eye_contact[i] == "Very often") {
    my_data$eye[i] <- 1
  } else if (my_data$Eye_contact[i] == "Always") {
    my_data$eye[i] <- 2
  } 
}


## Managing
my_data$manage<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Managing[i] == "FALSE") {
    my_data$manage[i] <- 0
  } else if (my_data$Managing[i] == "TRUE") {
    my_data$manage[i] <- 1
  } 
}

## Meeting interrupted
my_data$meeting<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Meeting_interrupted[i] == "Never") {
    my_data$meeting[i] <- -2
  } else if (my_data$Meeting_interrupted[i] == "Rarely") 
    {my_data$meeting[i] <- -1
  } else if (my_data$Meeting_interrupted[i] == "Sometimes") {
    my_data$meeting[i] <- 0
  } else if (my_data$Meeting_interrupted[i] == "Very often") {
    my_data$meeting[i] <- 1
  } else if (my_data$Meeting_interrupted[i] == "Always") {
    my_data$meeting[i] <- 2
  } 
}  

## Asked_question_to_another
my_data$question<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Asked_question_to_another[i] == "Never") {
    my_data$question[i] <- -2
  } else if (my_data$Asked_question_to_another[i] == "Rarely") 
  {my_data$question[i] <- -1
  } else if (my_data$Asked_question_to_another[i] == "Sometimes") {
    my_data$question[i] <- 0
  } else if (my_data$Asked_question_to_another[i] == "Very often") {
    my_data$question[i] <- 1
  } else if (my_data$Asked_question_to_another[i] == "Always") {
    my_data$question[i] <- 2
  } 
}

# Presented_idea

my_data$idea<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Presented_idea[i] == "Never") {
    my_data$idea[i] <- -2
  } else if (my_data$Presented_idea[i] == "Rarely") 
  {my_data$idea[i] <- -1
  } else if (my_data$Presented_idea[i] == "Sometimes") {
    my_data$idea[i] <- 0
  } else if (my_data$Presented_idea[i] == "Very often") {
    my_data$idea[i] <- 1
  } else if (my_data$Presented_idea[i] == "Always") {
    my_data$idea[i] <- 2
  } 
}

# Menial_tasks
my_data$tasks<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Menial_tasks[i] == "Never") {
    my_data$tasks[i] <- -2
  } else if (my_data$Menial_tasks[i] == "Rarely") 
  {my_data$tasks[i] <- -1
  } else if (my_data$Menial_tasks[i] == "Sometimes") {
    my_data$tasks[i] <- 0
  } else if (my_data$Menial_tasks[i] == "Very often") {
    my_data$tasks[i] <- 1
  } else if (my_data$Menial_tasks[i] == "Always") {
    my_data$tasks[i] <- 2
  } 
}

# Make_necessary_decisions
my_data$decisions<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Make_necessary_decisions[i] == "Strongly disagree") {
    my_data$decisions[i] <- -2
  } else if (my_data$Make_necessary_decisions[i] == "Disagree") 
  {my_data$decisions[i] <- -1
  } else if (my_data$Make_necessary_decisions[i] == "Neutral") {
    my_data$decisions[i] <- 0
  } else if (my_data$Make_necessary_decisions[i] == "Agree") {
    my_data$decisions[i] <- 1
  } else if (my_data$Make_necessary_decisions[i] == "Strongly agree") {
    my_data$decisions[i] <- 2
  } 
}

# Team_values
my_data$team<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Team_values[i] == "Strongly disagree") {
    my_data$team[i] <- -2
  } else if (my_data$Team_values[i] == "Disagree") 
  {my_data$team[i] <- -1
  } else if (my_data$Team_values[i] == "Neutral") {
    my_data$team[i] <- 0
  } else if (my_data$Team_values[i] == "Agree") {
    my_data$team[i] <- 1
  } else if (my_data$Team_values[i] == "Strongly agree") {
    my_data$team[i] <- 2
  } 
}

# Growth_opportunities
my_data$growth<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Growth_opportunities[i] == "Strongly disagree") {
    my_data$growth[i] <- -1
  } else if (my_data$Growth_opportunities[i] == "Disagree") 
  {my_data$growth[i] <- -1
  } else if (my_data$Growth_opportunities[i] == "Neutral") {
    my_data$growth[i] <- 0
  } else if (my_data$Growth_opportunities[i] == "Agree") {
    my_data$growth[i] <- 1
  } else if (my_data$Growth_opportunities[i] == "Strongly agree") {
    my_data$growth[i] <- 2
  } 
}

# Fairly compensated
my_data$compensate<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$`Fairly compensated`[i] == "Strongly disagree") {
    my_data$compensate[i] <- -2
  } else if (my_data$`Fairly compensated`[i] == "Disagree") 
  {my_data$compensate[i] <- -1
  } else if (my_data$`Fairly compensated`[i] == "Neutral") {
    my_data$compensate[i] <- 0
  } else if (my_data$`Fairly compensated`[i] == "Agree") {
    my_data$compensate[i] <- 1
  } else if (my_data$`Fairly compensated`[i] == "Strongly agree") {
    my_data$compensate[i] <- 2
  } 
}

# Start_over
my_data$start<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Start_over[i] == "Strongly disagree") {
    my_data$start[i] <- -2
  } else if (my_data$Start_over[i] == "Disagree") 
  {my_data$start[i] <- -1
  } else if (my_data$Start_over[i] == "Neutral") {
    my_data$start[i] <- 0
  } else if (my_data$Start_over[i] == "Agree") {
    my_data$start[i] <- 1
  } else if (my_data$Start_over[i] == "Strongly agree") {
    my_data$start[i] <- 2
  } 
}

#aggressive
my_data$aggressive<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Aggressive_or_bossy[i] == "No, never") {
    my_data$aggressive[i] <- 0
  } else if (my_data$Aggressive_or_bossy[i] == "1 or 2 times") 
  {my_data$aggressive[i] <- 1
  } else if (my_data$Aggressive_or_bossy[i] == "3 or 4 times") {
    my_data$aggressive[i] <- 2
  } else if (my_data$Aggressive_or_bossy[i] == "More than 4 times") {
    my_data$aggressive[i] <- 3
  } 
}

#Harassment1
my_data$Harassment1<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Harassment[i] == "I haven't experienced or witnessed this behaviour") {
    my_data$Harassment1[i] <- 0
  } else if (my_data$Harassment[i] == "I have witnessed this behaviour") 
  {my_data$Harassment1[i] <- 1
  } else if (my_data$Harassment[i] == "I have experienced this behaviour") {
    my_data$Harassment1[i] <- 2
  } else if (my_data$Harassment[i] == "I have experienced and witnessed this behaviour") {
    my_data$Harassment1[i] <- 3
  } 
}

#Sexism1
my_data$Sexism1<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Sexism[i] == "I haven't experienced or witnessed this behaviour") {
    my_data$Sexism1[i] <- 0
  } else if (my_data$Sexism[i] == "I have witnessed this behaviour") 
  {my_data$Sexism1[i] <- 1
  } else if (my_data$Sexism[i] == "I have experienced this behaviour") {
    my_data$Sexism1[i] <- 2
  } else if (my_data$Sexism[i] == "I have experienced and witnessed this behaviour") {
    my_data$Sexism1[i] <- 3
  } 
}

#excluded
my_data$excluded<- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Excluded_from_social[i] == "No, never") {
    my_data$excluded[i] <- 0
  } else if (my_data$Excluded_from_social[i] == "1 or 2 times") 
  {my_data$excluded[i] <- 1
  } else if (my_data$Excluded_from_social[i] == "3 or 4 times") {
    my_data$excluded[i] <- 2
  } else if (my_data$Excluded_from_social[i] == "More than 4 times") {
    my_data$excluded[i] <- 3
  } 
}

#challenge
my_data$challenge <- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$More_challenging_gender[i] == "Strongly disagree") {
    my_data$challenge[i] <- 1
  } else if (my_data$More_challenging_gender[i] == "Disagree") 
  {my_data$challenge[i] <- 2
  } else if (my_data$More_challenging_gender[i] == "Neutral") {
    my_data$challenge[i] <- 3
  } else if (my_data$More_challenging_gender[i] == "Agree") {
    my_data$challenge[i] <- 4
  } else if (my_data$More_challenging_gender[i] == "Strongly agree") {
    my_data$challenge[i] <- 5
  } 
}

#Gender
my_data$gender1 <- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Gender[i] == "Female") {
    my_data$gender1[i] <- 0
  } else if (my_data$Gender[i] == "Male") 
  {my_data$gender1[i] <- 1
  } 
}


#years in software

my_data$years <- NA

i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$involvement_software[i] == "Less than 2 years") {
    my_data$years[i] <- 1
  } else if (my_data$involvement_software[i] == "2-5 years") 
  {my_data$years[i] <- 2
  } else if (my_data$involvement_software[i] == "6-10 years") {
    my_data$years[i] <- 3
  } else if (my_data$involvement_software[i] == "11-15 years") {
    my_data$years[i] <- 4
  }else if (my_data$involvement_software[i] == "16-20 years") {
    my_data$years[i] <- 5
  }else if (my_data$involvement_software[i] == "21+ years") {
    my_data$years[i] <- 6
  }
} 


#Age
my_data$age2 <- NA
i=0
for (i in 1:(nrow(my_data))) {
  if (my_data$Age[i] == "18-25") {
    my_data$age2[i] <- 1
  } else if (my_data$Age[i] == "26-35") 
  {my_data$age2[i] <- 2
  } else if (my_data$Age[i] == "36-45") {
    my_data$age2[i] <- 3
  }else if (my_data$Age[i] == "46-55") {
    my_data$age2[i] <- 4
  }else if (my_data$Age[i] == "56-65") {
    my_data$age2[i] <- 5
  }
} 

### Demographics###

# Share Gender
table(my_data$Gender)
prop.table(table(my_data$Gender))

#Years in Software industry
prop.table(table(my_data$Gender, my_data$involvement_software),margin=1)
wilcox.test(years ~ gender1, data=my_data)

#Age 
prop.table(table(my_data$Age))
prop.table(table(my_data$Gender, my_data$Age),margin=1)
wilcox.test(age2 ~ gender1, data=my_data)

#Country
prop.table(table(my_data$Country))
prop.table(table(my_data$Gender, my_data$Country),margin=1)
chisq.test(my_data$Country, my_data$Gender)

#Education
prop.table(table(my_data$Gender, my_data$Education),margin=1)
chisq.test(my_data$Gender,my_data$Education)

#Full Time or not
prop.table(table(my_data$employment_status))

#working role
prop.table(table(my_data$Role))
chisq.test(my_data$Gender,my_data$Role)


### RQ 1: Micro-inequities ####
##Q11 Interruptions during discussions##
prop.table(table(my_data$Gender, my_data$Meeting_interrupted),margin=1)

#Check for ordinal logistic regression assumption ##
#Multicollinearity:
t <- lm(meeting ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(meeting) ~ (Agecluster)+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

brant(m)

#Ordinal logistic regression:
m <- polr(as.factor(meeting) ~ (Agecluster)+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

##Q12 Eye Contact##
prop.table(table(my_data$Gender, my_data$Eye_contact),margin=1)
#Multicollinearity:
t <- lm(eye ~ Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(eye) ~ (Agecluster)+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

brant(m)

#Ordinal logistic regression:
m <- polr(as.factor(eye) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

##Q13 Being skipped on questions##

prop.table(table(my_data$Gender, my_data$Asked_question_to_another),margin=1)

#Multicollinearity:
t <- lm(question ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(question) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Ordinal logistic regression:
m <- polr(as.factor(question) ~ (factor(Agecluster))+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

##Q14 Presented idea without proper attribution##
prop.table(table(my_data$Agecluster, my_data$Presented_idea),margin=1)

#Multicollinearity:
t <- lm(idea ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(idea) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Partial Proportional Odds Model: 
m <- vglm(factor(idea) ~ factor(Agecluster) + Gender, family=cumulative(parallel = FALSE ~ factor(Agecluster), reverse = TRUE),dat = my_data)
summary(m)
with(my_data, levels(factor(idea)))
# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))


##Q15 Menial tasks##
prop.table(table(my_data$Gender, my_data$tasks),margin=1)

#Multicollinearity:
t <- lm(tasks ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(tasks) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Cumulative Logit Model
m <- vglm(tasks ~ Agecluster + Gender, family=cumulative(parallel = F, reverse = TRUE),dat =my_data)
summary(m)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))


##Q19 Bossy or aggressive at workplace##
prop.table(table(my_data$Gender, my_data$Aggressive_or_bossy),margin=1)

#Multicollinearity:
t <- lm(aggressive ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(aggressive) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Ordinal logistic regression:
m <- polr(as.factor(aggressive) ~ (factor(Agecluster))+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

##Q20 Excluded from social or networking opportunities at work##
prop.table(table(my_data$Gender, my_data$excluded),margin=1)

#Multicollinearity:
t <- lm(excluded ~ Agecluster+Gender, data=my_data)
vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(excluded) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Ordinal logistic regression:
m <- polr(as.factor(excluded) ~ (factor(Agecluster))+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

##Q16 Managing and leadership position##
prop.table(table(my_data$Gender, my_data$manage),margin=1)

#Multicollinearity:
t <- lm(manage ~Agecluster+Gender,data=my_data)
vif(t)

#Proportional odds assumption:
m <- glm(as.factor(manage) ~ Gender + (factor(Agecluster)), data=my_data, family = binomial)
brant(m)

#General logistic model
model <- glm(as.factor(manage) ~ Gender + (factor(Agecluster)), data=my_data, family = binomial)
summary(model)
# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))


##Q17 Support and authority to make decisions##
prop.table(table(my_data$Gender, my_data$decisions),margin=1)

#Multicollinearity:
t <- lm(decisions ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(decisions) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Ordinal logistic regression: 
m <- polr(as.factor(decisions) ~ (factor(Agecluster))+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

##Q18 Team acknowledgement##
prop.table(table(my_data$Gender, my_data$team),margin=1)

#Multicollinearity:
t <- lm(team ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(team) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Ordinal logistic regression: 
m <- polr(as.factor(team) ~ (factor(Agecluster))+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

##Q23 Harassment##
prop.table(table(my_data$Gender, my_data$Harassment),margin=1)

#Multicollinearity:
t <- lm(Harassment1 ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(Harassment1) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Ordinal logistic regression: 
m <- polr(as.factor(Harassment1) ~ (factor(Agecluster))+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

#Chi-Squared Test
chisq.test(my_data$Harassment1, my_data$Gender)
chisq.test(my_data$Harassment1, my_data$Agecluster)

##Q24 Sexism##
prop.table(table(my_data$Gender, my_data$Sexism),margin=1)

#Multicollinearity:
t <- lm(Sexism1 ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(Sexism1) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Cumulative Logit Model: 
m <- vglm(Sexism1 ~ Agecluster + Gender, family=cumulative(parallel = FALSE,reverse = TRUE),dat =my_data)
summary(m)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

#Chi-Squared Test
chisq.test(my_data$Sexism1, my_data$Gender)
chisq.test(my_data$Sexism1, my_data$Agecluster)


##Q25 Growth opportunities##
prop.table(table(my_data$Gender, my_data$Growth_opportunities),margin=1)

#Multicollinearity:
t <- lm(growth ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(growth) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Ordinal logistic regression:
m <- polr(as.factor(growth) ~ (factor(Agecluster))+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

##Q26 Fair compensation##
prop.table(table(my_data$Gender, my_data$compensate),margin=1)

#Multicollinearity:
t <- lm(compensate ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(compensate) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Cumulative logit model:
m <- vglm(compensate ~ Agecluster + Gender, family=cumulative(parallel = F, reverse = TRUE),dat =my_data)
summary(m)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

##Q27 Starting all over again##
prop.table(table(my_data$Gender, my_data$start),margin=1)

#Multicollinearity:
t <- lm(start ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(start) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Ordinal logistic regression:
m <- polr(as.factor(start) ~ (factor(Agecluster))+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))

##Q28 More challenging for a particular gender##
prop.table(table(my_data$Gender, my_data$challenge),margin=1)

#Multicollinearity:
t <- lm(challenge ~Agecluster+Gender,data=my_data)
car::vif(t)
# - no multicollinearity found 

#Proportional odds assumption:
m <- polr(as.factor(challenge) ~ Agecluster+Gender, data=my_data,  method = c("logistic"), Hess=TRUE)
brant(m)

#Cumulative Logit Model
m <- vglm(challenge ~ Agecluster + Gender, family=cumulative(parallel = F),dat =my_data)
summary(m)

# get the p-values
# store the coefficient table
ctable <- round(coef(summary(m)), 4)
# calculate and store p-values
p <- pnorm(abs(ctable[, "t value"]), lower.tail = F) * 2
# combine coefficient table and p-values table
(ctable <- cbind(ctable, "p value" = round(p, 4)))
# default method gives profiled CIs
(ci <- confint(m)) 
# CIs assuming normality
confint.default(m) 
## odds ratios
exp(coef(m))
